aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAditya Deshpande <aditya.deshpande@linaro.org>2021-07-27 15:52:50 +0100
committerAditya Deshpande <aditya.deshpande@linaro.org>2021-07-27 17:32:35 +0100
commita14c317570437a913f008aa7639b5728bcec2a84 (patch)
tree7229a0bc2bb14a96e403f17c7d6cd89246df605f
parent96d6c69593fa88fc786247d6875f8103d836ced7 (diff)
downloadart-build-scripts-a14c317570437a913f008aa7639b5728bcec2a84.tar.gz
Fix running of single gtests on target.
Test: test_art_target --single-test art_cmdline_tests Change-Id: I4d42f8ca593fd52468b90f86b200781486cd0656
-rwxr-xr-xtests/test_art_target.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/tests/test_art_target.sh b/tests/test_art_target.sh
index 8cd61c6b..b7f1a617 100755
--- a/tests/test_art_target.sh
+++ b/tests/test_art_target.sh
@@ -115,7 +115,7 @@ is_remote_adb_server() {
# Return true if a single test is gtest.
is_single_test_gtest() {
- [[ "${options["single-test"]}" == *_test ]]
+ [[ "${options["single-test"]}" == *_tests ]]
}
validate_options() {
@@ -500,6 +500,10 @@ test_single() {
local return_code=0
local section_name="TEST_SINGLE_"
if is_single_test_gtest "${test_name}"; then
+ if [ "$2" != "target" ]; then
+ log E "Running single gtests currently only supported on target."
+ exit 1
+ fi
section_name+="gtest_$1"
section_starter "${section_name}" "${2}"
local path_to_test=$(find_gtests "${test_name}")